Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Certificate issuer is not built-in nsresult: "0x80004004 (NS_ERROR_ABORT)

more options

After the upgrade to TB 60.4.0 when I check for updates the error console gives he following information:

1545832308789 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id={e2fda1a4-762b-4020-b5ad-a41df1933103}&version=6.2.4&maxAppVersion=60.*&status=userEnabled&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US¤tAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] 1545832309209 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id=en-US@dictionaries.addons.mozilla.org&version=8.1&maxAppVersion=49.0&status=userEnabled&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US¤tAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] 1545832309259 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id=es-es@dictionaries.addons.mozilla.org&version=2.3&maxAppVersion=60.0&status=userEnabled&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US¤tAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] 1545832309308 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id={3ed8cc52-86fc-4613-9026-c1ef969da4c3}&version=3.3.0&maxAppVersion=59.*&status=userEnabled,incompatible&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US¤tAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] 1545832309358 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id={847b3a00-7ab1-11d4-8f02-006008948af5}&version=2.0.9&maxAppVersion=60.*&status=userEnabled&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US¤tAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no]

In TB 60.3.0 the ImporExport 3.3.0 tool work, with a strict check of compatible addons (Option True). Any solutions? Thanks

After the upgrade to TB 60.4.0 when I check for updates the error console gives he following information: 1545832308789 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id={e2fda1a4-762b-4020-b5ad-a41df1933103}&version=6.2.4&maxAppVersion=60.*&status=userEnabled&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] 1545832309209 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id=en-US@dictionaries.addons.mozilla.org&version=8.1&maxAppVersion=49.0&status=userEnabled&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] 1545832309259 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id=es-es@dictionaries.addons.mozilla.org&version=2.3&maxAppVersion=60.0&status=userEnabled&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] 1545832309308 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id={3ed8cc52-86fc-4613-9026-c1ef969da4c3}&version=3.3.0&maxAppVersion=59.*&status=userEnabled,incompatible&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] 1545832309358 addons.update-checker WARN Request failed: https://versioncheck.addons.thunderbird.net/update/VersionCheck.php?reqVersion=2&id={847b3a00-7ab1-11d4-8f02-006008948af5}&version=2.0.9&maxAppVersion=60.*&status=userEnabled&appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&appVersion=60.4.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=60.4.0&updateType=97&compatMode=strict - [Exception... "Certificate issuer is not built-in." nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "JS frame :: resource://gre/modules/CertUtils.jsm :: checkCert :: line 163" data: no] In TB 60.3.0 the ImporExport 3.3.0 tool work, with a strict check of compatible addons (Option True). Any solutions? Thanks

Chosen solution

Is your antivirus (which one?) scanning SSL connections from TB?

https://support.mozilla.org/en-US/questions/1183083

Read this answer in context 👍 1

All Replies (2)

more options

Chosen Solution

Is your antivirus (which one?) scanning SSL connections from TB?

https://support.mozilla.org/en-US/questions/1183083

more options

The Antivirus is Kaspersky Total Security 2019 and I resolved the problem with your solution, including the thunderbird web page as an exclusion (versioncheck.addons.thunderbird.net). Under TB 60.3.0 I didn´t find this problem, with the same KTS 2019, and now the ImportExport tool works again (the same 3.3.0 version). Thanks and Merry Xtmas.